import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function esOrderListRefund(params) {
  return request({
    url: '/esOrder/listRefund',
    method: 'post',
    params
  })
}

export function esOrderList(params) {
  return request({
    url: '/esOrder/list',
    method: 'post',
    params
  })
}

export function esOrderDetailRefund(params) {
  return request({
    url: '/esOrder/detailRefund',
    method: 'post',
    params
  })
}

export function esOrderDetail(params) {
  return request({
    url: '/esOrder/detail',
    method: 'post',
    params
  })
}

export function esOrderAdd(data) {
  return request({
    url: '/esOrder/add',
    method: 'post',
    data
  })
}

export function esOrderSend(params) {
  return request({
    url: '/esOrder/send',
    method: 'post',
    params
  })
}

export function esOrderExpress(params) {
  return request({
    url: '/esOrder/express',
    method: 'get',
    params
  })
}

export function esOrderRefund(params) {
  return request({
    url: '/esOrder/refund',
    method: 'post',
    params
  })
}

export function esOrderPayPrice(params) {
  return request({
    url: '/esOrder/payPrice',
    method: 'post',
    params
  })
}

export function esOrderListExcel(params) {
  return request({
    url: '/esOrder/listExcel',
    method: 'post',
    params
  })
}

export function esOrderPayOk(params) {
  return request({
    url: '/esOrder/payOk',
    method: 'post',
    params
  })
}

export function esOrderCancel(params) {
  return request({
    url: '/esOrder/cancel',
    method: 'post',
    params
  })
}

export function esOrderRefundPrice(params) {
  return request({
    url: '/esOrder/refundPrice',
    method: 'post',
    params
  })
}

export function esOrderPayPriceList(params) {
  return request({
    url: '/esOrder/payPriceList',
    method: 'post',
    params
  })
}

